Subject: bug#49308: closed (Re: bug#49308: GNU sed for Tru6 configure CFLAGS?)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Aug 2021 21:47:02 +0000

Your bug report

#49308: GNU sed for Tru6 configure CFLAGS?

which was filed against the sed package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49308: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49308
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49308: GNU sed for Tru6 configure CFLAGS?
From: Paul Eggert <[email-masked]>
To: Assaf Gordon <[email-masked]>, Jay K <[email-masked]>
Cc: "[email-masked] List" <[email-masked]>, Larkin Nickle <[email-masked]>, [email-masked]
Date: Wed, 4 Aug 2021 14:46:03 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 8/4/21 2:29 PM, Assaf Gordon wrote:
> (But as you're aware, there's a limited amount of support for older 
> systems...)

Yes, HP dropped support for Tru64 in 2012, and a good rule of thumb for 
GNU code is to not worry about an OS if it's so old that even its own 
maintainer doesn't worry about it.

Gnulib finally got around to dropping support for Tru64 in 2019, in the 
sense that we removed some documentation about it (we haven't bothered 
cleaning up the code). Although we don't worry about Tru64 now, we might 
accept simple clean patches written by Someone Else, patches that don't 
affect other platforms.

In the meantime I'm closing the sed bug report as this is not really a 
sed issue.

Subject: GNU sed for Tru6 configure CFLAGS?
From: Jay K <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: Larkin Nickle <[email-masked]>
Date: Thu, 1 Jul 2021 06:35:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi. I built GNU sed for Tru64.
With native cc, not gcc. I realize it is an old system.

$ uname -srm
OSF1 V5.1 alpha

$ which cc
/usr/bin/cc

$ cc -V
Compaq C V6.5-303 (dtk) on HP Tru64 UNIX V5.1B (Rev. 2650)
Compiler Driver V6.5-302 (dtk) cc Driver

It seemed to require:
 ./configure CFLAGS="-pthread"

Otherwise, there was an unresolved mbtowc_with_lock.

Perhaps configure.ac can/should do that automatically?

Perhaps this can/should somehow be done more globally, beyond sed?
i.e. I should refer to autoconf mailing list?

Fyi, tests mostly passed, but 2 failures, look like test harness problem:

FAIL: testsuite/comment-n
=========================

diff: Cannot compare character special file.
FAIL testsuite/comment-n.sh (exit status: 1)

FAIL: testsuite/execute-tests
=============================

diff: Cannot compare character special file.
0000000   62  00
           b  \0
0000002
0000000   62  00
           b  \0
0000002
FAIL testsuite/execute-tests.sh (exit status: 1)

I should probably try with GNU diff, later.

Thank you,
 - Jay